Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 227044 - Review Request: checkstyle-4.1-3jpp - Java source code checker
Summary: Review Request: checkstyle-4.1-3jpp - Java source code checker
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nuno Santos
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-02 17:31 UTC by Rafael H. Schloming
Modified: 2014-12-01 23:13 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-12 15:21:25 UTC
overholt: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Rafael H. Schloming 2007-02-02 17:31:31 UTC
Spec URL: http://people.redhat.com/rafaels/specs/checkstyle-4.1-3jpp.spec
SRPM URL: ftp://jpackage.hmdc.harvard.edu/JPackage/1.7/generic/SRPMS.free/checkstyle-4.1-3jpp.src.rpm
Description: A tool for checking Java source code for adherence to a set of rules.

Demonstrations and samples for checkstyle.

Javadoc for checkstyle.

Manual for checkstyle.

Optional functionality for checkstyle.

Comment 1 Deepak Bhole 2007-02-16 01:57:32 UTC
Fixed spec and srpm:

http://people.redhat.com/dbhole/fedora/checkstyle/checkstyle.spec
http://people.redhat.com/dbhole/fedora/checkstyle/checkstyle-4.1-4jpp.1.fc7.src.rpm

Some lines are > 80 characters.

Most of them are file names, so they cannot broken. There is also one perl
command which extends to > 80 which I did not break because I think it looks
cleaner on one line.

Comment 2 Andrew Overholt 2007-02-16 17:36:43 UTC
MUST:
* package is named appropriately
* it is legal for Fedora to distribute this
* license field matches the actual license.
* license is open source-compatible.
* specfile name matches %{name}
* verify source and patches
* skim the summary and description for typos, etc.
* correct buildroot
* %{?dist} used properly
* license text included in package and marked with %doc
* packages meet FHS
X rpmlint on <this package>.srpm gives no output

$ rpmlint  checkstyle-4.1-4jpp.1.fc7.src.rpm 
W: checkstyle non-standard-group Development/Build Tools

Let's make this Development/Tools

* changelog fine
* Packager tag not used
* Vendor tag not used
* Distribution tag not used
* License used and not Copyright 
* Summary tag should not end in a period
* no PreReq
* specfile is legible
X package successfully compiles and builds on at least x86

/usr/bin/build-classpath: error: Could not find excalibur/avalon-logkit Java
extension for this JVM
/usr/bin/build-classpath: error: Some specified jars were not found

I removed this to make it build

* BuildRequires are proper
* summary fine
* description fine
* make sure lines are <= 80 characters
  . I'm fine with the ones that aren't
* specfile written in American English
* no -doc sub-package necessary
* no libraries
* no rpath
* no config files
* not a GUI app
* no -devel sub-package necessary
* macros used appropriately and consistently
* %makeinstall not used
* no locale data
* cp -p used
* split Requires(pre,post) into two separate lines
* package not relocatable
* package contains code
* package owns all directories and files
* no %files duplicates
* file permissions okay; %defattrs present
* %clean present
* %doc files do not affect runtime
* not a web app
* verify the final provides and requires of the binary RPMs
X run rpmlint on the binary RPMs

W: checkstyle non-standard-group Development/Build Tools
W: checkstyle-demo non-standard-group Development/Build Tools

These are fine but let's just make it Development/Tools

W: checkstyle-demo no-documentation

This is fine if there's nothing in the upstream sources

E: checkstyle-javadoc zero-length
/usr/share/javadoc/checkstyle-4.1/package-list

Hmm, this should be fixed.

W: checkstyle-manual dangling-symlink /usr/share/doc/checkstyle-manual-4.1/api
/usr/share/javadoc/checkstyle

This should also be fixed.

W: checkstyle-manual symlink-should-be-relative
/usr/share/doc/checkstyle-manual-4.1/api /usr/share/javadoc/checkstyle

This too

W: checkstyle-optional non-standard-group Development/Build Tools

See above.

W: checkstyle-optional no-documentation

Fine.

Comment 3 Andrew Overholt 2007-02-16 19:19:08 UTC
FYI, it builds in mock for me.

Comment 4 Deepak Bhole 2007-03-07 17:17:26 UTC
I:
- fixed the groups
- removed excalibur-avalon-logkit dependency (it seems spurious)
- fixed the dangling symlinks issue
- removed an rm -rf in %install that shouldn't have been there to begin with

Fixed spec and srpm:

http://people.redhat.com/dbhole/fedora/checkstyle/checkstyle.spec
http://people.redhat.com/dbhole/fedora/checkstyle/checkstyle-4.1-4jpp.1.fc7.src.rpm

Comment 5 Andrew Overholt 2007-03-13 20:56:44 UTC
APPROVED!

Thanks, Deepak.

Comment 6 Nuno Santos 2007-03-13 21:04:02 UTC
New Package CVS Request
=======================
Package Name: checkstyle
Short Description: Java source code checker
Owners: nsantos@redhat.com
Branches: devel
InitialCC: rafaels@redhat.com,dbhole@redhat.com

Comment 7 rob 2007-06-20 19:39:31 UTC
Package Change Request
======================
Package Name: checkstyle
New Branches: EL-5
Updated EPEL Owners: rob.myers@gtri.gatech.edu

rob myers wrote:
> I'd like to have eclipse-checkstyle available in EPEL5.  Of course that
> requires checkstyle to be in EPEL5.  Are you interested in EPEL?  If you
> are not interested in EPEL I would be willing to become a co-maintainer
> of these packages for the purposes of EPEL5 support.

Hi Rob,

due to my main project workload, I probably will not be able to assist 
with packaging for EPEL, so if you're willing to be a co-maintainer I'd 
appreciate it. The last link below doesn't have a lot of details, so 
please let me know what steps I need to take (if any) to make you a 
co-maintainer.

Thanks,
Nuno


Comment 8 Kevin Fenzi 2007-06-20 20:56:53 UTC
branch done. Per the above template I branched for EL-5 and made Rob the
maintainer there. 


Note You need to log in before you can comment on or make changes to this bug.